--- a/aerospike-server.spec	2019-02-23 06:29:12.197738843 +0300
+++ b/aerospike-server.spec	2019-02-23 06:29:12.200738806 +0300
@@ -157,8 +157,8 @@
 install -m 0755 -- %SOURCE102  %buildroot%_initdir/%name
 
 # Pid file directory
-rm -f -- %buildroot%_sysconfdir/tmpfiles.d/%as_name.conf
-echo "d /var/run/%as_name 0775 root %as_user - " > %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+rm -f -- %buildroot%_tmpfilesdir/%as_name.conf
+echo "d /var/run/%as_name 0775 root %as_user - " > %buildroot%_tmpfilesdir/%name.conf
 mkdir -p -- %buildroot/var/run/%name
 
 # logrotate file
@@ -205,7 +205,7 @@
 
 %config(noreplace)  %_sysconfdir/logrotate.d/%name
 
-%config             %_sysconfdir/tmpfiles.d/%name.conf
+%config             %_tmpfilesdir/%name.conf
 
 %config   %_initdir/%name
 %_unitdir/%name.service
--- a/alterator.spec	2019-02-23 06:29:12.256738124 +0300
+++ b/alterator.spec	2019-02-23 06:29:12.259738085 +0300
@@ -80,7 +80,7 @@
 mkdir -p %buildroot%_cachedir/%name
 mkdir -p %buildroot%_localstatedir/%name
 mkdir -p %buildroot%_sysconfdir/%name
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d
+mkdir -p %buildroot%_tmpfilesdir
 mkdir -p %buildroot%_rpmmacrosdir
 
 install -Dpm640 alterator-chkpwd.pamd %buildroot%_sysconfdir/pam.d/alterator-chkpwd
@@ -93,7 +93,7 @@
 %%_alterator_backend3dir %%_alterator_libdir/backend3
 EOF
 
-cat >%buildroot%_sysconfdir/tmpfiles.d/%name.conf<<EOF
+cat >%buildroot%_tmpfilesdir/%name.conf<<EOF
 d /var/run/alteratord 0710 root _alteratord -
 EOF
 
@@ -119,7 +119,7 @@
 %config(noreplace) %_sysconfdir/%name/menu
 %attr(700,root,root) %dir %_cachedir/%name
 %attr(700,root,root) %dir %_localstatedir/%name
-%_sysconfdir/tmpfiles.d/%name.conf
+%_tmpfilesdir/%name.conf
 
 %_datadir/guile/%guile_version/alterator
 %_libdir/*.so.*
--- a/amavisd-new.spec	2019-02-23 06:29:12.465735570 +0300
+++ b/amavisd-new.spec	2019-02-23 06:29:12.469735520 +0300
@@ -204,7 +204,7 @@
 mkdir -p \
 	%buildroot%_initdir \
 	%buildroot%_sysconfdir/amavis \
-	%buildroot%_sysconfdir/tmpfiles.d \
+	%buildroot%_tmpfilesdir \
 	%buildroot%_sbindir \
 	%buildroot%_bindir \
 	%buildroot%_spooldir/amavis \
@@ -241,7 +241,7 @@
 install -m 755 %SOURCE10 %buildroot%_controldir/amavisd-av
 install -m 755 %SOURCE11 %buildroot%_controldir/amavisd-spam
 
-install -m 644 %SOURCE12 %buildroot%_sysconfdir/tmpfiles.d/amavisd.conf
+install -m 644 %SOURCE12 %buildroot%_tmpfilesdir/amavisd.conf
 
 %post
 %post_service amavisd
@@ -254,7 +254,7 @@
 %doc LDAP.schema TODO
 %doc README.ALT.UTF README.ALT.KOI8-R
 %config %_initdir/amavisd
-%config %_sysconfdir/tmpfiles.d/amavisd.conf
+%config %_tmpfilesdir/amavisd.conf
 # %attr(640,root,mail) %config(noreplace) %_sysconfdir/amavis/amavisd.conf
 %_controldir/amavisd-*
 %attr(750,root,mail) %dir %_sysconfdir/amavis/conf.d
--- a/condstopstart.spec	2019-02-23 06:29:14.976704901 +0300
+++ b/condstopstart.spec	2019-02-23 06:29:14.977704888 +0300
@@ -30,13 +30,13 @@
 install -d %buildroot%condstopstart_subsysdir/
 install -d %buildroot%condstopstart_subsysrundir/
 
-install -pD -m 644 %SOURCE10 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -pD -m 644 %SOURCE10 %buildroot%_tmpfilesdir/%name.conf
 sed -i "
 	s|@RUNDIR@|%condstopstart_subsysrundir|g
-" %buildroot%_sysconfdir/tmpfiles.d/*
+" %buildroot%_tmpfilesdir/*
 
 %files
-%config %_sysconfdir/tmpfiles.d/*
+%config %_tmpfilesdir/*
 %attr(755,root,root) %dir %condstopstart_subsysdir/
 %attr(755,root,root) %dir %condstopstart_subsysrundir/
 
--- a/condstopstart.spec	2019-02-23 06:29:15.022704340 +0300
+++ b/condstopstart.spec	2019-02-23 06:29:15.023704327 +0300
@@ -44,13 +44,13 @@
 	" $condcommandfile
 done
 
-install -pD -m 644 %SOURCE10 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -pD -m 644 %SOURCE10 %buildroot%_tmpfilesdir/%name.conf
 sed -i "
 	s|@RUNDIR@|%condstopstart_webrundir|g
-" %buildroot%_sysconfdir/tmpfiles.d/*
+" %buildroot%_tmpfilesdir/*
 
 %files
-%config %_sysconfdir/tmpfiles.d/*
+%config %_tmpfilesdir/*
 %attr(755,root,root) %dir %condstopstart_webdir/
 %attr(755,root,root) %dir %condstopstart_webrundir/
 %_sbindir/*
--- a/jetty.spec	2019-02-23 06:29:24.750585524 +0300
+++ b/jetty.spec	2019-02-23 06:29:24.763585366 +0300
@@ -891,11 +891,11 @@
 EO_RC
 ) > %{buildroot}%{apphomedir}/.jettyrc
 
-mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
+mkdir -p %{buildroot}%_tmpfilesdir
 ( cat << EOF
 D /var/run/%{name} 0755 %username %{username} -
 EOF
-) > %{buildroot}%{_sysconfdir}/tmpfiles.d/%{name}.conf
+) > %{buildroot}%_tmpfilesdir/%{name}.conf
 
 rm -fr %{buildroot}%{apphomedir}/logs
 ln -s %{logdir} %{buildroot}%{apphomedir}/logs
@@ -951,7 +951,7 @@
 %endif # with service
 %files
 %if %{with service}
-%config(noreplace) %{_sysconfdir}/tmpfiles.d/%{name}.conf
+%config(noreplace) %_tmpfilesdir/%{name}.conf
 %config(noreplace) %attr(644, root, root) %{_sysconfdir}/logrotate.d/%{name}
 %config(noreplace) %{confdir}
 %dir %{jettylibdir}
--- a/logcheck.spec	2019-02-23 06:29:38.063422924 +0300
+++ b/logcheck.spec	2019-02-23 06:29:38.067422876 +0300
@@ -79,8 +79,8 @@
 install -pD docs/logtail2.8 %buildroot%_man8dir/logtail2.8
 docbook-to-man docs/logcheck.sgml >%buildroot%_man8dir/logcheck.8
 
-install -d %buildroot%_sysconfdir/tmpfiles.d
-cat <<EOF >%buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -d %buildroot%_tmpfilesdir
+cat <<EOF >%buildroot%_tmpfilesdir/%name.conf
 d /run/lock/%name 0755 %_logcheck_user %_logcheck_group -
 EOF
 
@@ -105,7 +105,7 @@
 %attr(640,root,%_logcheck_group) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/%name/logcheck.logfiles
 %attr(640,root,%_logcheck_group) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/%name/header.txt
 %attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %_sysconfdir/cron.d/%name
-%attr(644,%_logcheck_user,%_logcheck_group) %config %verify(not md5 mtime size) %_sysconfdir/tmpfiles.d/%name.conf
+%attr(644,%_logcheck_user,%_logcheck_group) %config %verify(not md5 mtime size) %_tmpfilesdir/%name.conf
 %_sbindir/logcheck
 %_bindir/logcheck-test
 %dir %attr(0770,root,%_logcheck_group) %_localstatedir/%name
--- a/monetdb.spec	2019-02-23 06:29:40.476393453 +0300
+++ b/monetdb.spec	2019-02-23 06:29:40.480393404 +0300
@@ -92,6 +92,9 @@
 cp %SOURCE2 %buildroot/%_sysconfdir/logrotate.d/%name
 cp %buildroot/%_bindir/sqlsample.* .
 cp %buildroot/%_bindir/malsample.* .
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_tmpfilesdir/
+mv %buildroot%_sysconfdir/tmpfiles.d/* %buildroot%_tmpfilesdir/
 
 %pre server
 %_sbindir/groupadd -r -f _monetdb
@@ -125,7 +128,7 @@
 %dir %attr(0770,root,_monetdb) %_logdir/monetdb
 %_initdir/%name
 %_sysconfdir/logrotate.d/%name
-%_sysconfdir/tmpfiles.d/*
+%_tmpfilesdir/*
 /var/lib/monetdb5
 
 %files client
--- a/ndisc6.spec	2019-02-23 06:29:44.288346894 +0300
+++ b/ndisc6.spec	2019-02-23 06:29:44.291346858 +0300
@@ -57,7 +57,7 @@
 %find_lang %name
 touch %buildroot/%_runtimedir/rdnssd/resolv.conf
 install -Dm0755 %SOURCE1 %buildroot%_initdir/rdnssd
-install -Dm0644 %SOURCE2 %buildroot%_sysconfdir/tmpfiles.d/rdnssd.conf
+install -Dm0644 %SOURCE2 %buildroot%_tmpfilesdir/rdnssd.conf
 install -Dm0644 %SOURCE3 %buildroot%systemd_unitdir/rdnssd.service
 
 %pre -n rdnssd
@@ -81,7 +81,7 @@
 
 %files -n rdnssd
 %_initdir/rdnssd
-%_sysconfdir/tmpfiles.d/rdnssd.conf
+%_tmpfilesdir/rdnssd.conf
 %systemd_unitdir/rdnssd.service
 %_sysconfdir/rdnssd
 %_sbindir/rdnssd
--- a/nss-ldapd.spec	2019-02-23 06:29:49.405284398 +0300
+++ b/nss-ldapd.spec	2019-02-23 06:29:49.410284336 +0300
@@ -72,7 +72,7 @@
 mv %buildroot%_libdir/* %buildroot/%_lib/
 install -pD -m755 %SOURCE1 %buildroot%_initdir/nslcd
 install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/nslcd
-install -pD -m644 %SOURCE3 %buildroot%_sysconfdir/tmpfiles.d/nslcd.conf
+install -pD -m644 %SOURCE3 %buildroot%_tmpfilesdir/nslcd.conf
 %if_enabled systemd
 install -pD -m755 %SOURCE4 %buildroot/lib/systemd/system/nslcd.service
 %endif
@@ -169,7 +169,7 @@
 %attr(600,_nslcd,_nslcd) %config(noreplace) %verify(not md5 size mtime) %_sysconfdir/nslcd.conf
 %attr(711,_nslcd,root) %dir /var/run/nslcd
 %attr(666,_nslcd,_nslcd) %ghost /var/run/nslcd/socket
-%attr(644,root,root) %config(noreplace) %_sysconfdir/tmpfiles.d/nslcd.conf
+%attr(644,root,root) %config(noreplace) %_tmpfilesdir/nslcd.conf
 %if_enabled systemd
 %config(noreplace) /lib/systemd/system/*
 %endif
--- a/openct.spec	2019-02-23 06:29:52.650244764 +0300
+++ b/openct.spec	2019-02-23 06:29:52.655244704 +0300
@@ -129,8 +129,8 @@
 #mkdir -p %buildroot%_usr/libexec/hal
 #install -p -m755 etc/openct.hald %buildroot%_usr/libexec/hal/hald-addon-openct
 
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d/
-cat >> %buildroot%_sysconfdir/tmpfiles.d/%{name}.conf <<@@@
+mkdir -p %buildroot%_tmpfilesdir/
+cat >> %buildroot%_tmpfilesdir/%{name}.conf <<@@@
 d /var/run/openct 0755 root root -
 @@@
 
@@ -155,7 +155,7 @@
 %_initdir/%name
 # copy documentation from %_builddir
 %dir %_var/run/openct
-%_sysconfdir/tmpfiles.d/%{name}.conf
+%_tmpfilesdir/%{name}.conf
 /lib/udev/openct_pcmcia
 /lib/udev/openct_serial
 /lib/udev/openct_usb
--- a/php5-fpm-fcgi.spec	2019-02-23 06:29:55.866205486 +0300
+++ b/php5-fpm-fcgi.spec	2019-02-23 06:29:55.871205424 +0300
@@ -124,8 +124,8 @@
 # config for logrotate
 install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/php5-fpm
 
-mkdir -p  %buildroot%_sysconfdir/tmpfiles.d
-echo 'd /var/run/php5-fpm 0750 root _webserver' >> %buildroot%_sysconfdir/tmpfiles.d/php5-fpm.conf
+mkdir -p  %buildroot%_tmpfilesdir
+echo 'd /var/run/php5-fpm 0750 root _webserver' >> %buildroot%_tmpfilesdir/php5-fpm.conf
 
 mkdir -p  %buildroot%_unitdir
 install -m 0644 %SOURCE5 %buildroot%_unitdir/php5-fpm.service
@@ -172,7 +172,7 @@
 %config(noreplace) %php5_sysconfdir/%php5_sapi/php.ini
 %config(noreplace) %php5_sysconfdir/%php5_sapi/browscap.ini
 %config(noreplace) %_sysconfdir/logrotate.d/php5-fpm
-%config(noreplace) %_sysconfdir/tmpfiles.d/php5-fpm.conf
+%config(noreplace) %_tmpfilesdir/php5-fpm.conf
 %php5_servicedir/%php5_sapi
 %config %_unitdir/php5-fpm.service
 %_man8dir/*
--- a/php7-fpm-fcgi.spec	2019-02-23 06:29:59.831157058 +0300
+++ b/php7-fpm-fcgi.spec	2019-02-23 06:29:59.836156997 +0300
@@ -138,8 +138,8 @@
 # config for logrotate
 install -pD -m644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/php7-fpm
 
-mkdir -p  %buildroot%_sysconfdir/tmpfiles.d
-echo 'd /run/php7-fpm 0750 root _webserver' >> %buildroot%_sysconfdir/tmpfiles.d/php7-fpm.conf
+mkdir -p  %buildroot%_tmpfilesdir
+echo 'd /run/php7-fpm 0750 root _webserver' >> %buildroot%_tmpfilesdir/php7-fpm.conf
 
 mkdir -p  %buildroot%_unitdir
 install -m 0644 %SOURCE5 %buildroot%_unitdir/php7-fpm.service
@@ -171,7 +171,7 @@
 %config(noreplace) %php7_sysconfdir/%php7_sapi/php.ini
 %config(noreplace) %php7_sysconfdir/%php7_sapi/browscap.ini
 %config(noreplace) %_sysconfdir/logrotate.d/php7-fpm
-%config(noreplace) %_sysconfdir/tmpfiles.d/php7-fpm.conf
+%config(noreplace) %_tmpfilesdir/php7-fpm.conf
 %php7_servicedir/%php7_sapi
 %config %_unitdir/php7-fpm.service
 %_rpmlibdir/%name.filetrigger
--- a/puppet.spec	2019-02-23 06:30:06.727072833 +0300
+++ b/puppet.spec	2019-02-23 06:30:06.730072797 +0300
@@ -112,9 +112,9 @@
 mkdir -p %buildroot%_sysconfdir/puppet/{code,modules,environments/production/manifests}
 
 # Setup tmpfiles.d config
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d
+mkdir -p %buildroot%_tmpfilesdir
 echo "D /var/run/%name 0755 _%name %name -" > \
-    %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+    %buildroot%_tmpfilesdir/%name.conf
 
 # Create puppet modules directory for puppet module tool
 mkdir -p %buildroot%_sysconfdir/%name/modules
@@ -163,7 +163,7 @@
 %_initdir/puppet
 %_unitdir/puppet.service
 %_unitdir/puppetagent.service
-%config(noreplace) %_sysconfdir/tmpfiles.d/%name.conf
+%config(noreplace) %_tmpfilesdir/%name.conf
 %dir %_sysconfdir/puppet
 %attr(0771,_puppet,puppet) %dir %_sysconfdir/puppet/ssl
 %attr(0755,_puppet,puppet) %dir %_sysconfdir/puppet/ssl/public_keys
--- a/puppetdb.spec	2019-02-23 06:30:06.801071929 +0300
+++ b/puppetdb.spec	2019-02-23 06:30:06.803071905 +0300
@@ -37,8 +37,8 @@
 
 %if_enabled initd
 install -D %name.init %buildroot%_initdir/%name
-mkdir -p %buildroot%_sysconfdir/tmpfiles.d
-cat >%buildroot%_sysconfdir/tmpfiles.d/%name.conf <<EOF
+mkdir -p %buildroot%_tmpfilesdir
+cat >%buildroot%_tmpfilesdir/%name.conf <<EOF
 d /var/run/puppetdb 0775 _puppetdb _puppetdb -
 EOF
 mkdir -p %buildroot%_runtimedir/%name
@@ -57,7 +57,7 @@
 %dir %attr(0770,_puppetdb,_puppetdb) %_localstatedir/%name
 %if_enabled initd
 %_initdir/%name
-%_sysconfdir/tmpfiles.d/%name.conf
+%_tmpfilesdir/%name.conf
 %_runtimedir/%name
 %doc README.md
 %endif
--- a/radvd.spec	2019-02-23 06:30:15.085970739 +0300
+++ b/radvd.spec	2019-02-23 06:30:15.088970703 +0300
@@ -60,7 +60,7 @@
 install -m 644 redhat/radvd.conf.empty %buildroot%_sysconfdir/radvd.conf
 install -m 755 %SOURCE1 %buildroot%_initdir/radvd
 install -m 644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/radvd
-install -Dm0644 %SOURCE3 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -Dm0644 %SOURCE3 %buildroot%_tmpfilesdir/%name.conf
 
 %post
 %post_service %name
@@ -77,7 +77,7 @@
 %doc COPYRIGHT README CHANGES INTRO.html TODO
 %config(noreplace) %_sysconfdir/%name.conf
 %config(noreplace) %_sysconfdir/sysconfig/%name
-%config %_sysconfdir/tmpfiles.d/%name.conf
+%config %_tmpfilesdir/%name.conf
 %config %systemd_unitdir/%name.service
 %_initdir/%name
 %dir %attr(0771,root,%_pseudouser_group) /var/run/radvd/
--- a/sa-content-filter.spec	2019-02-23 06:30:17.673939131 +0300
+++ b/sa-content-filter.spec	2019-02-23 06:30:17.675939105 +0300
@@ -32,7 +32,7 @@
 subst 's,@SOCKET@,%spamd_sock,' %buildroot%_bindir/content-filter
 install -Dpm755 %SOURCE2 %buildroot%spamd_dir/user_prefs
 install -Dpm755 %SOURCE3 %buildroot%_sysconfdir/%name/system
-install -Dpm644 %SOURCE4 %buildroot%_sysconfdir/tmpfiles.d/%name.conf
+install -Dpm644 %SOURCE4 %buildroot%_tmpfilesdir/%name.conf
 mkdir -p  %buildroot%_var/run/spamd/
 
 %pre
@@ -51,7 +51,7 @@
 
 %files
 %_sysconfdir/%name
-%_sysconfdir/tmpfiles.d/%name.conf
+%_tmpfilesdir/%name.conf
 %_bindir/*
 %attr(755,%spamd_user,%spamd_group) %dir %spamd_dir
 %attr(644,%spamd_user,%spamd_group) %spamd_dir/user_prefs
--- a/screen.spec	2019-02-23 06:30:18.718926367 +0300
+++ b/screen.spec	2019-02-23 06:30:18.722926318 +0300
@@ -75,7 +75,7 @@
 install -pD -m644 screen.pamd %buildroot/etc/pam.d/screen
 
 mkdir -p %buildroot{/var/run/screen,/etc/tmpfiles.d}
-echo 'd /var/run/screen 0775 root screen' > %buildroot/etc/tmpfiles.d/screen.conf
+echo 'd /var/run/screen 0775 root screen' > %buildroot%_tmpfilesdir/screen.conf
 
 mkdir -p %buildroot%_libexecdir/screen
 touch %buildroot%_libexecdir/screen/{tcb_chkpwd,utempter}
@@ -111,7 +111,7 @@
 %config(noreplace) /etc/screenrc
 %config(noreplace) /etc/screencap
 %config(noreplace) /etc/pam.d/screen
-/etc/tmpfiles.d/screen.conf
+%_tmpfilesdir/screen.conf
 
 %doc etc/*screenrc
 %doc NEWS README FAQ doc/README.DOTSCREEN doc/*.ps.*
--- a/system-config-printer.spec	2019-02-23 06:30:22.049870871 +0300
+++ b/system-config-printer.spec	2019-02-23 06:30:22.052869932 +0300
@@ -75,7 +75,7 @@
 %install
 %makeinstall_std udevrulesdir=/lib/udev/rules.d \
 		 udevhelperdir=/lib/udev
-install -Dm0644 tmpfiles.conf %buildroot/etc/tmpfiles.d/system-config-printer.conf
+install -Dm0644 tmpfiles.conf %buildroot%_tmpfilesdir/system-config-printer.conf
 mv %buildroot%_datadir/{metainfo,appdata}
 %find_lang system-config-printer
 
@@ -90,7 +90,7 @@
 /etc/dbus-1/system.d/*.conf
 
 %files udev
-%_sysconfdir/tmpfiles.d/*
+%_tmpfilesdir/*
 /lib/udev/rules.d/*.rules
 /lib/udev/udev-*-printer
 
